var test = require('tape')
var fs = require('fs')
var path = require('path')

var wpa = require('../')

var networksTxt = fs.readFileSync(path.join(__dirname, 'networks.txt'), 'ascii')
var networksObj = require('./networks.json')

test('decode', function (t) {
	t.deepEquals(wpa.decode(networksTxt), networksObj)
	t.end()
})

test('encode', function (t) {
	t.deepEquals(wpa.encode(networksObj), networksTxt)
	t.end()
})
